Bug 1957428 - CVE-2021-31800 python-impacket: Multiple path traversal vulnerabilities in smbserver.py [epel-all]
Summary: CVE-2021-31800 python-impacket: Multiple path traversal vulnerabilities in sm...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-impacket
Version: epel7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Michal Ambroz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-31800
TreeView+ depends on / blocked
 
Reported: 2021-05-05 18:34 UTC by Pedro Sampaio
Modified: 2021-05-23 01:59 UTC (History)
2 users (show)

Fixed In Version: python-impacket-0.9.22-3.fc32 python-impacket-0.9.22-3.fc34 python-impacket-0.9.22-3.fc33 python-impacket-0.9.22-3.el8 python-impacket-0.9.22-3.el7
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-16 01:59:37 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Pedro Sampaio 2021-05-05 18:34:53 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

Comment 1 Pedro Sampaio 2021-05-05 18:34:56 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1957426,1957428

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2021-05-07 09:22:19 UTC
FEDORA-2021-52dfb60726 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-52dfb60726

Comment 3 Fedora Update System 2021-05-07 09:22:51 UTC
FEDORA-2021-888ccfd5b6 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-888ccfd5b6

Comment 4 Fedora Update System 2021-05-07 09:23:13 UTC
FEDORA-2021-ab09c9a7a1 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ab09c9a7a1

Comment 5 Fedora Update System 2021-05-07 09:23:47 UTC
FEDORA-EPEL-2021-680600d10f has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-680600d10f

Comment 6 Fedora Update System 2021-05-07 09:34:28 UTC
FEDORA-EPEL-2021-80b9d6d879 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-80b9d6d879

Comment 7 Fedora Update System 2021-05-08 02:07:59 UTC
FEDORA-2021-888ccfd5b6 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-888ccfd5b6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-888ccfd5b6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-05-08 02:10:19 UTC
FEDORA-2021-ab09c9a7a1 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ab09c9a7a1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ab09c9a7a1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-05-08 02:16:41 UTC
FEDORA-EPEL-2021-80b9d6d879 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-80b9d6d879

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-05-08 02:17:07 UTC
FEDORA-EPEL-2021-680600d10f has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-680600d10f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-05-08 02:17:51 UTC
FEDORA-2021-52dfb60726 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-52dfb60726`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-52dfb60726

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-05-16 01:59:37 UTC
FEDORA-2021-ab09c9a7a1 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-05-16 02:01:16 UTC
FEDORA-2021-52dfb60726 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-05-16 02:06:14 UTC
FEDORA-2021-888ccfd5b6 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-05-23 00:31:45 UTC
FEDORA-EPEL-2021-80b9d6d879 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-05-23 01:59:47 UTC
FEDORA-EPEL-2021-680600d10f has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.